"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const drop = async ({
  database,
  collectionName
}) => {
  try {
    await database.dropCollection(`${collectionName}-freeze`);
  } catch (error) {
    if (+error.code !== 26) {
      throw error;
    }
  }

  await database.dropCollection(collectionName);
};

var _default = drop;
exports.default = _default;
//# sourceMappingURL=drop.js.map