"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const isFrozen = async ({
  database,
  collectionName
}) => {
  try {
    await new Promise((resolve, reject) => database.collection(`${collectionName}-freeze`, {
      strict: true
    }, error => error != null ? reject(error) : resolve()));
    return true;
  } catch (error) {
    return false;
  }
};

var _default = isFrozen;
exports.default = _default;
//# sourceMappingURL=is-frozen.js.map